<div id="setting-detail-emai">
  <div class="md:p-6 p-3" id="hideBottomInput">
    <div class="flex items-center">
      <p class="mb-0 font-medium leading-24 text-gray-500">Settings</p>
      <v-icon class="mx-3" color="#6B7280"> mdi-chevron-right </v-icon>
      <nuxt-link to="/admin/settings/emails">
        <p class="mb-0 font-medium leading-24 text-gray-500">Emails</p>
      </nuxt-link>
      <v-icon class="mx-3" color="#6B7280"> mdi-chevron-right </v-icon>
      <p class="mb-0 font-medium leading-24 text-black capitalize">{{slug}}</p>
    </div>
    <div class="flex items-center justify-between mt-3">
      <nuxt-link to="/admin/settings/emails">
        <div class="flex items-center">
          <v-icon color="#111827"> mdi-arrow-left </v-icon>
          <p
            class="mb-0 ml-4 text-lg text-neutral-900 font-semibold capitalize"
          >
            {{slug}}
          </p>
        </div>
      </nuxt-link>
      <!-- <div>
        <v-btn color="#3B82F6" class="!shadow-none" height="44">
          <div class="flex items-center">
            <v-icon color="#fff">
              mdi-content-save
            </v-icon>
            <p class="mb-0 ml-2 text-white font-semibold text-sm capitalize">
              Save Changes
            </p>
          </div>
        </v-btn>
      </div> -->
    </div>

    <div class="grid grid-cols-12 gap-6 mt-4">
      <div class="md:col-span-8 col-span-12">
        <div class="">
          <v-tabs v-model="tab" background-color="transparent" color="#076CE3">
            <v-tab>
              <p class="mb-0 text-none fsize-14 !font-semibold">
                Edit Template
              </p>
            </v-tab>
            <v-tab>
              <p class="mb-0 text-none fsize-14 !font-semibold">
                Preview Email
              </p>
            </v-tab>
          </v-tabs>
          <v-divider></v-divider>
          <v-tabs-items v-model="tab" class="!bg-transparent !ml-0" touchless>
            <v-tab-item class="!bg-transparent">
              <div class="bg-transparent">
                <div
                  class="mt-2 bg-white border border-solid border-gray-200 rounded-lg p-4"
                >
                  <div>
                    <p class="mb-0 text-neutral-900 font-semibold">
                      Email subject
                    </p>
                    <div class="mt-2">
                      <v-text-field
                        dense
                        outlined
                        v-model="orderName"
                        placeholder="Enter your order name"
                      >
                      </v-text-field>
                    </div>
                  </div>
                  <div class="mt-4">
                    <p class="mb-0 text-neutral-900 font-semibold">
                      Email subject
                    </p>
                    <div class="mt-2">
                      <v-textarea v-model="tempEmail" dense outlined rows="30">
                      </v-textarea>
                    </div>
                  </div>
                </div>
              </div>
            </v-tab-item>
            <v-tab-item class="!bg-transparent">
              <div class="bg-transparent">
                <div
                  class="mt-2 bg-white border border-solid border-gray-200 rounded-lg p-4"
                >
                  <p
                    class="mb-0 text-neutral-900 font-semibold"
                    v-if="slug === 'order confirm'"
                  >
                    Subject: Order Confirmation #0123
                  </p>
                  <div class="mt-4 flex justify-center">
                    <p
                      class="mb-0 text-xl text-neutral-900 font-semibold"
                      v-html="tempEmail"
                    ></p>
                  </div>
                </div>
              </div>
            </v-tab-item>
          </v-tabs-items>
        </div>
      </div>
      <div class="md:col-span-4 col-span-12">
        <div>
          <div>
            <p class="mb-0 text-neutral-900 font-semibold">Test email</p>
            <span class="text-sm text-gray-900">
              Send an test email to input email address below
            </span>
          </div>
          <div
            class="mt-2 pa-4 bg-white border border-solid border-gray-200 rounded"
          >
            <div class="flex gap-4 items-center justify-between">
              <div>
                <v-text-field
                  dense
                  outlined
                  placeholder="Enter email"
                  v-model="email"
                ></v-text-field>
              </div>
              <v-btn
                color="#3B82F6"
                outlined
                class="!shadow-none"
                height="44"
                @click="onSendMain()"
              >
                <p class="mb-0 text-blue-500 font-semibold text-sm capitalize">
                  Send Test
                </p>
              </v-btn>
            </div>
          </div>
        </div>
        <div class="mt-4">
          <div>
            <p class="mb-0 text-neutral-900 font-semibold">Email variables</p>
            <span class="text-sm text-gray-900">
              Using variables for email
            </span>
          </div>
          <div
            class="mt-2 pa-4 bg-white border border-solid border-gray-200 rounded"
          >
            <v-textarea
              dense
              outlined
              placeholder="Enter email"
              v-model="order.variantCustom"
              rows="5"
            ></v-textarea>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
